Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members Related Pages

# Ogre::Image::Rect Struct Reference

Structure used to define a rectangle in a 2-D integer space. More...

`#include <OgreImage.h>`

List of all members.

## Public Methods

| Rect ()
| Rect (long l, long t, long r, long b)
Rect & | operator= (const Rect &other)

## Public Attributes

long | left
long | top
long | right
long | bottom

## Detailed Description

Structure used to define a rectangle in a 2-D integer space.

Definition at line 56 of file OgreImage.h.

## Constructor & Destructor Documentation

Ogre::Image::Rect::Rect | ( |  | ) |

| Definition at line 60 of file OgreImage.h.

Ogre::Image::Rect::Rect | ( | long | l,
|  | long | t,
|  | long | r,
|  | long | b
| ) |

| Definition at line 63 of file OgreImage.h.

## Member Function Documentation

Rect& Ogre::Image::Rect::operator= | ( | const Rect & | other | ) |

| Definition at line 70 of file OgreImage.h. References bottom, left, right, and top.

## Member Data Documentation

long Ogre::Image::Rect::bottom

| Definition at line 58 of file OgreImage.h. Referenced by Ogre::D3DTexture::blitImage(), Ogre::D3DTexture::blitImage3D(), and operator=().

long Ogre::Image::Rect::left

| Definition at line 58 of file OgreImage.h. Referenced by Ogre::D3DTexture::blitImage(), Ogre::D3DTexture::blitImage3D(), and operator=().

long Ogre::Image::Rect::right

| Definition at line 58 of file OgreImage.h. Referenced by Ogre::D3DTexture::blitImage(), Ogre::D3DTexture::blitImage3D(), and operator=().

long Ogre::Image::Rect::top

| Definition at line 58 of file OgreImage.h. Referenced by Ogre::D3DTexture::blitImage(), Ogre::D3DTexture::blitImage3D(), and operator=().

The documentation for this struct was generated from the following file:

- OgreImage.h

Copyright © 2002-2003 by The OGRE Team
Last modified Sun Nov 28 19:51:26 2004